Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.grid.event
Class GridListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.grid.event.GridListenerAdapter

All Implemented Interfaces:
  GridListener

    public class GridListenerAdapter

extends java.lang.Object
implements GridListener

Constructor Summary
`GridListenerAdapter()`

Method Summary
`void` | `onBodyScroll(int scrollLeft, int scrollTop)` Fires when the body element is scrolled.
`void` | `onClick(EventObject e)` The raw click event for the entire grid.
`void` | `onContextMenu(EventObject e)` The raw contextmenu event for the entire grid.
`void` | `onDblClick(EventObject e)` The raw dblclick event for the entire grid.
`void` | `onKeyDown(EventObject e)` The raw keydown event for the entire grid..
`void` | `onKeyPress(EventObject e)` The raw keypress event for the entire grid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridListenerAdapter

    public GridListenerAdapter()

Method Detail

### onBodyScroll

    public void onBodyScroll(int scrollLeft,
                             int scrollTop)

  Description copied from interface: `GridListener`
  Fires when the body element is scrolled.

  Specified by:
    `onBodyScroll` in interface `GridListener`
  Parameters:
    `scrollLeft` - scroll left value
    `scrollTop` - scroll top value

### onClick

    public void onClick(EventObject e)

  Description copied from interface: `GridListener`
  The raw click event for the entire grid.

  Specified by:
    `onClick` in interface `GridListener`
  Parameters:
    `e` - the event object

### onContextMenu

    public void onContextMenu(EventObject e)

  Description copied from interface: `GridListener`
  The raw contextmenu event for the entire grid.

  Specified by:
    `onContextMenu` in interface `GridListener`
  Parameters:
    `e` - the event object

### onDblClick

    public void onDblClick(EventObject e)

  Description copied from interface: `GridListener`
  The raw dblclick event for the entire grid.

  Specified by:
    `onDblClick` in interface `GridListener`
  Parameters:
    `e` - the event object

### onKeyDown

    public void onKeyDown(EventObject e)

  Description copied from interface: `GridListener`
  The raw keydown event for the entire grid..

  Specified by:
    `onKeyDown` in interface `GridListener`
  Parameters:
    `e` - the event object

### onKeyPress

    public void onKeyPress(EventObject e)

  Description copied from interface: `GridListener`
  The raw keypress event for the entire grid.

  Specified by:
    `onKeyPress` in interface `GridListener`
  Parameters:
    `e` - the event object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD